Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.jdo
Interface JDOEntityManagerFactory

All Superinterfaces:
  javax.persistence.EntityManagerFactory, PersistenceManagerFactory, java.io.Serializable

    public interface JDOEntityManagerFactory

extends javax.persistence.EntityManagerFactory, PersistenceManagerFactory

Method Summary
`JDOEntityManager` | `getPersistenceManager()` Get an instance of `JDOEntityManager` from this factory.
`JDOEntityManager` | `getPersistenceManager(java.lang.String userid, java.lang.String password)` Get an instance of `JDOEntityManager` from this factory.
`JDOEntityManager` | `getPersistenceManagerProxy()` Get a thread-safe instance of a proxy that dynamically binds on each method call to an instance of `JDOEntityManager`.

Methods inherited from interface javax.persistence.EntityManagerFactory
`close, createEntityManager, createEntityManager, isOpen`

Methods inherited from interface javax.jdo.PersistenceManagerFactory
`addFetchGroups, addInstanceLifecycleListener, close, getConnectionDriverName, getConnectionFactory, getConnectionFactory2, getConnectionFactory2Name, getConnectionFactoryName, getConnectionURL, getConnectionUserName, getCopyOnAttach, getDataStoreCache, getDatastoreReadTimeoutMillis, getDatastoreWriteTimeoutMillis, getDetachAllOnCommit, getFetchGroup, getFetchGroups, getIgnoreCache, getMapping, getMetadata, getMultithreaded, getName, getNontransactionalRead, getNontransactionalWrite, getOptimistic, getPersistenceUnitName, getProperties, getReadOnly, getRestoreValues, getRetainValues, getServerTimeZoneID, getTransactionIsolationLevel, getTransactionType, isClosed, newMetadata, registerMetadata, removeAllFetchGroups, removeFetchGroups, removeInstanceLifecycleListener, setConnectionDriverName, setConnectionFactory, setConnectionFactory2, setConnectionFactory2Name, setConnectionFactoryName, setConnectionPassword, setConnectionURL, setConnectionUserName, setCopyOnAttach, setDatastoreReadTimeoutMillis, setDatastoreWriteTimeoutMillis, setDetachAllOnCommit, setIgnoreCache, setMapping, setMultithreaded, setName, setNontransactionalRead, setNontransactionalWrite, setOptimistic, setPersistenceUnitName, setReadOnly, setRestoreValues, setRetainValues, setServerTimeZoneID, setTransactionIsolationLevel, setTransactionType, supportedOptions`

Method Detail

### getPersistenceManager

    JDOEntityManager getPersistenceManager()

  Get an instance of `JDOEntityManager` from this factory. The instance has default values for options. This method overrides the getPersistenceManager method from PersistenceManagerFactory.

  After the first use of `getPersistenceManager`, no "set" methods will succeed.

  Specified by:
    `getPersistenceManager` in interface `PersistenceManagerFactory`
  Returns:
    a `JDOEntityManager` instance with default options.

### getPersistenceManagerProxy

    JDOEntityManager getPersistenceManagerProxy()

  Get a thread-safe instance of a proxy that dynamically binds on each method call to an instance of `JDOEntityManager`.

  When used with a `JDOEntityManagerFactory` that uses TransactionType JTA, the proxy can be used in a server to dynamically bind to an instance from this factory associated with the thread's current transaction. In this case, the close method is ignored, as the `PersistenceManager` is automatically closed when the transaction completes.

  When used with a `JDOEntityManagerFactory` that uses TransactionType RESOURCE_LOCAL, the proxy uses an inheritable ThreadLocal to bind to an instance of `JDOEntityManager` associated with the thread. In this case, the close method executed on the proxy closes the `JDOEntityManager` and then clears the ThreadLocal. Use of this method does not affect the configurability of the `JDOEntityManagerFactory`.

  Specified by:
    `getPersistenceManagerProxy` in interface `PersistenceManagerFactory`
  Returns:
    a `PersistenceManager` proxy.
  Since:
    2.1

### getPersistenceManager

    JDOEntityManager getPersistenceManager(java.lang.String userid,
                                           java.lang.String password)

  Get an instance of `JDOEntityManager` from this factory. The instance has default values for options. The parameters `userid` and `password` are used when obtaining datastore connections from the connection pool.

  After the first use of `getPersistenceManager`, no "set" methods will succeed.

  Specified by:
    `getPersistenceManager` in interface `PersistenceManagerFactory`
  Parameters:
    `userid` - the userid for the connection
    `password` - the password for the connection
  Returns:
    a `JDOEntityManager` instance with default options.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2011 Apache Software Foundation. All Rights Reserved.